# class ActiveLdap::Schema::Syntaxes::PrintableString

### Private Instance Methods

validate_normalized_value(value, original_value) click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 413
    def validate_normalized_value(value, original_value)
      if value.blank?
        return _("empty string")
      end

      if /(#{UNPRINTABLE_CHARACTER})/i =~ value
        format = _("%s has unprintable character: '%s'")
        return format % [original_value.inspect, $1]
      end

      nil
    end